%global pyver_sitelib %{expand:%{python%{python3_pkgversion}_sitelib}}
%global pyver_install %{expand:%{py%{python3_pkgversion}_install}}
%global pyver_build %{expand:%{py%{python3_pkgversion}_build}}
%global pypi_name os-service-types
%global module_name os_service_types

%bcond_with tests
%bcond_with doc

%global common_desc %{expand:
OsServiceTypes is a Python library for consuming OpenStack sevice-types-authority data The OpenStack
Service Types Authority contains information about official OpenStack services and their historical
service-type aliases.  The data is in JSON and the latest data should always be used. This simple
library exists to allow for easy consumption of the data, along with a built-in version of the data
to use in case network access is for some reason not possible and local caching of the fetched data.}

Summary:        Python library for consuming OpenStack sevice-types-authority data
Name:           python-%{pypi_name}
Version:        1.7.0
Release:        5%{?dist}
License:        ASL 2.0
URL:            http://www.openstack.org/
Source0:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  git
BuildArch:      noarch

%description
%{common_desc}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Python library for consuming OpenStack sevice-types-authority data
BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-pbr python%{python3_pkgversion}-subunit
BuildRequires:  python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-requests-mock
%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-testscenarios python%{python3_pkgversion}-oslotest python%{python3_pkgversion}-keystoneauth1
%endif
Requires:       python%{python3_pkgversion}-pbr

%description -n python%{python3_pkgversion}-%{pypi_name}
%{common_desc}

%if %{with doc}
%package -n python-%{pypi_name}-doc
Summary:        %{pypi_name} documentation
BuildRequires:  python%{python3_pkgversion}-openstackdocstheme python%{python3_pkgversion}-sphinx

%description -n python-%{pypi_name}-doc
%{common_desc}

Documentation for %{pypi_name}
%endif

%prep
%autosetup -n %{pypi_name}-%{version} -S git
rm -rf {test-,}requirements.txt
rm -rf %{pypi_name}.egg-info

%build
%{pyver_build}

%if %{with doc}
%python%{python3_pkgversion} setup.py build_sphinx -b html
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{pyver_install}

%check
%if %{with tests}
%python%{python3_pkgversion} setup.py test
%endif

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst doc/source/readme.rst
%{pyver_sitelib}/%{module_name}
%{pyver_sitelib}/%{module_name}-%{version}-py%{python3_version}.egg-info

%if %{with doc}
%files -n python-%{pypi_name}-doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 Shuo Wang <abushwang@tencent.com> - 1.7.0-1
- initial build
